# -*- coding: utf-8 -*-
"""
Created on Sat Jul 12 13:44:27 2014

@author: K.Vikraman
"""

import matplotlib.pyplot as plt
from matplotlib import cm
from matplotlib.ticker import LinearLocator, FormatStrFormatter
import numpy as np
import h5py 
#accessing the data file generated by MEEP,replace the following with your file location
filename='/Users/vikramaniitr/Documents/graph/dc-ez.h5'
file = h5py.File(filename, 'a')
d=file["ez"]
a=d[:,:,500] #500 corresponds to time step
#dimensions of the strucuture is 800x160 and 666 timesteps
X = np.arange(0,800)
Y = np.arange(0,160)
X, Y = np.meshgrid(X, Y)
#Surface Plot
fig = plt.figure()
ax = fig.gca(projection='3d')
surf = ax.plot_surface(X, Y, np.transpose(a), cmap=cm.coolwarm)
ax.set_zlim(-0.4, 0.4)

ax.zaxis.set_major_locator(LinearLocator(10))
ax.zaxis.set_major_formatter(FormatStrFormatter('%.02f'))

fig.colorbar(surf, shrink=0.5, aspect=5)
ax.set_xlabel('Direction of Propagation' )
ax.set_zlabel('Ez')

plt.show()


